# Module properties

## $config

Holds the default configuration for this module

## $dependentCoreModules

An array of strings specifying the Core module names that are required by this module.

## $dependentAppModules

An array of strings specifying the App module names that are required by this module.

## $isConfigFile

Whether this module has its own configuration file.

**Default:** false

## $isConfigFileRequired

Whether the config file for this module is required to run the app.

**Default:** false


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cherrycake.tin.cat/version-1.x-beta/reference/core-classes/module/properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
